import { useEffect } from "react";
import BasePostLayout from "../layout/BasePost/BasePostLayout";
import { useMainContext } from "../layout/MainProvider";
import PathListContainer from "./components/PathListContainer";
import { PostType } from "@nice/common";
import { PostDetailProvider } from "@web/src/components/models/course/detail/PostDetailContext";
import { useParams } from "react-router-dom";

export default function PathPage() {
	const { setSearchMode } = useMainContext();
	useEffect(() => {
		setSearchMode(PostType.PATH);
	}, [setSearchMode]);
	const { id } = useParams();
	return (
		<BasePostLayout>
			<PathListContainer></PathListContainer>
		</BasePostLayout>
	);
}
